%global pypi_name subvertpy

Summary:	Alternative Python bindings for Subversion
Name:		python-%{pypi_name}
Version:	0.10.1
Release:	%mkrel 9
License:	LGPLv2+
Group:		Development/Python
Url:		https://github.com/jelmer/subvertpy
Source0:	https://pypi.io/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:	pkgconfig(apr-1)
BuildRequires:	subversion-devel

%description
Alternative Python bindings for Subversion. The goal is to have complete,
portable and "Pythonic" Python bindings.

%package -n	python3-%{pypi_name}
Summary:	Alternative Python 3 bindings for Subversion
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	subvertpy = %{version}-%{release}

%description -n	python3-%{pypi_name}
Alternative Python 3 bindings for Subversion. The goal is to have complete,
portable and "Pythonic" Python bindings.

%prep
%setup -qn %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc AUTHORS NEWS TODO examples/
%license COPYING
%{_bindir}/subvertpy-fast-export
%{python3_sitearch}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 0.10.1-9.mga9
+ Revision: 1840633
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.10.1-8.mga9
+ Revision: 1782274
- rebuild for python-3.10

* Mon Apr 19 2021 daviddavid <daviddavid> 0.10.1-7.mga9
+ Revision: 1717045
- rebuild for python 3.9

* Wed May 06 2020 wally <wally> 0.10.1-6.mga8
+ Revision: 1581055
- rename src pkg as python-subvertpy
- drop python2 support

* Sun Feb 16 2020 umeabot <umeabot> 0.10.1-5.mga8
+ Revision: 1531817
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.10.1-4.mga8
+ Revision: 1441105
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.10.1-3.mga7
+ Revision: 1351840
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.10.1-2.mga7
+ Revision: 1301223
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 0.10.1-1.mga7
+ Revision: 1221334
- new version: 0.10.1
- rename subvertpy to python2-subvertpy
- add the Python3 subpkg
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 0.9.1-8.mga6
+ Revision: 942968
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.1-7.mga5
+ Revision: 740884
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.1-6.mga5
+ Revision: 730355
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.1-5.mga5
+ Revision: 689577
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.1-3.mga4
+ Revision: 544888
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.1-2.mga4
+ Revision: 500452
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jun 01 2013 sander85 <sander85> 0.9.1-1.mga4
+ Revision: 434214
- New version: 0.9.1

* Mon Jan 14 2013 umeabot <umeabot> 0.9.0-2.mga3
+ Revision: 383577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 shlomif <shlomif> 0.9.0-1.mga3
+ Revision: 308415
- New version 0.9.0
- Remove trailing space

* Wed May 30 2012 shlomif <shlomif> 0.8.10-4.mga3
+ Revision: 251846
- Add necessary BuildRequires
- Removed Vendor because mgarepo submit complained about it
- imported package subvertpy

